<?php

declare(strict_types=1);

namespace apexl\Io\modules\user\enums\permissions;

use apexl\Io\modules\user\interfaces\PermissionInterface;
use apexl\Io\modules\user\traits\IsPermissionTrait;

enum Common implements PermissionInterface, \JsonSerializable
{
    use IsPermissionTrait;

    case BYPASS;
    case CAN_DO_NOTHING;
    case ALLOW_ALL;
    case IS_LOGGED_IN;
}
